--- /dev/null
+#!/usr/tcsh
+#
+# source
+#
+#stty erase \7f
+alias m='pine'
+alias beep='echo \a'
+alias h=history
+alias hm='history | more'
+alias hrm="history -r | more"
+alias hh='history -r | head'
+alias ht='history 10'
+alias p='ps -au'
+alias tf='tail -25f'
+alias ls='ls -FG'
+alias l='ls -lF'
+alias la='ls -laF'
+alias clr='clear'
+alias cls='clear'
+alias d='date'
+alias vi='vim '
+alias v='vi'
+alias vt='vi -t'
+alias ta='vi -t'
+alias wh='whoami'
+alias ff='perl ~/tools/ff.c'
+alias new='frm -s new'
+alias du='du -k'
+alias df='df -bk'
+alias shizzle="perl -pe 's/\b(\w*[^aoeuiy])[aoeuiy]+[bcdfghjklmnpqrstvwxz]*\w\b/\1izzle/g'"
+alias gvim='open ~/Applications/Vim.app/'
+alias qtmlenv='source ~/Projects/qtmlenv'
+
+function lh () { last $@ | head; }
+function ll () { ls -ltF $@ | head; }
+function lu () { ls -ltuF $@ | head; }
+function lum () { ls -ltuF $@ | more; }
+function lut () { ls -ltuF $@ | tail; }
+function lm () { ls -ltF $@ | more; }
+function lt () { ls -ltF $@ | tail; }
+function lk () { ls -sltF $@ | sort -nr | head; }
+function lkm () { ls -sltF $@ | sort -nr | more; }
+function lkt () { ls -sltF $@ | sort -nr | tail; }
+function lf () { ls -lt $(find $1 -name $2 -print); }
+function vif () { vi $(find $1 -name $2 -print); }
+function viw () { vi $(which $1); }
+function toss () { mv -f $@ ~/.trashcan; }
+function xcopy () { tar cvf - -C $1 $1/* | tar xvf - -C $2; }
+function checkdns () { ping $( grep nameserver /etc/resolv.conf | awk '{print $2}' | head -1); }
+function pidof () { ps -e -o pid,comm | grep "$1" | awk '{print $1}'; }
+
+
--- /dev/null
+#!/bin/bash
+
+function short_pwd()
+{
+ local PWD=${PWD/#$HOME/\~};
+ local tmp=${PWD%/*/*};
+ [[ ${#tmp} -ne ${#PWD} && ${#tmp} -gt 0 ]] \
+ && echo ...${PWD:${#tmp}} \
+ || echo $PWD;
+}
+export PS1='$( if [ $? = 0 ]; then echo \[\e[32m\]:-\)\ ; else echo \[\e[31m\]:-\(\ ;fi;)\[\e[0m\]\u@\h:$(short_pwd)> '
+
+ssh-forget() {
+sed -i .bak "/^$1,/d" ~/.ssh/known_hosts
+}
+
+ssh-learn() {
+sed -i .bak "/^$1,/d" ~/.ssh/known_hosts
+ssh-keyscan -t rsa $1 >> ~/.ssh/known_hosts
+}
+
+export PATH=~/bin:$PATH
+export MANPATH=~/man:$MANPATH
+
+source ~/.aliases
+
+export EDITOR=/usr/bin/vim
+export LSCOLORS=gxfxcxdxbxegedabagacad
+
+source ~/.webkit_login
--- /dev/null
+#!/bin/bash
+
+export EMAIL_ADDRESS=jer.noble@apple.com
+export WEBKIT_DIR=~/Projects/WebKit.git
+export PATH=$PATH:$WEBKIT_DIR/OpenSource/Tools:$WEBKIT_DIR/OpenSource/Tools/Scripts:$WEBKIT_DIR/Internal/Tools/Scripts
+export PS1='$( if [ $? = 0 ]; then echo \[\e[32m\]:-\)\ ; else echo \[\e[31m\]:-\(\ ;fi;)\[\e[0m\]$(__git_ps1 "(%s) ")\u@\h:$(short_pwd)> '
+
+alias opensource="cd $WEBKIT_DIR/OpenSource"
+alias internal="cd $WEBKIT_DIR/Internal"
+
+source ~/bin/git-completion.bash